ch.qos.logback.core

## Class LayoutBase<E>

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.LayoutBase<E>

All Implemented Interfaces:
  Layout<E>, ContextAware, LifeCycle

Direct Known Subclasses:
  EchoLayout, HTMLLayoutBase, PatternLayoutBase, TTLLLayout, XMLLayout

    public abstract class LayoutBase<E>
    extends ContextAwareBase
    implements Layout<E>

### Field Summary

Fields
`protected boolean` `started`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
Constructor and Description
`LayoutBase()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getContentType()` Returns the content type as appropriate for the implementation.
`Context` `getContext()`
`String` `getFileFooter()` Return the file footer for this layout.
`String` `getFileHeader()` Return the file header for this layout.
`String` `getPresentationFooter()` Return the footer of the logging event formatting.
`String` `getPresentationHeader()` Return the header of the logging event formatting.
`boolean` `isStarted()`
`void` `setContext(Context context)`
`void` `setFileFooter(String footer)`
`void` `setFileHeader(String header)`
`void` `setPresentationFooter(String footer)`
`void` `setPresentationHeader(String header)`
`void` `start()`
`void` `stop()`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getDeclaredOrigin, getStatusManager`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface ch.qos.logback.core.Layout

`doLayout`

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn`

### Field Detail

#### started

    protected boolean started

### Constructor Detail

#### LayoutBase

    public LayoutBase()

### Method Detail

#### setContext

    public void setContext(Context context)

Specified by:
  `setContext` in interface `ContextAware`
Overrides:
  `setContext` in class `ContextAwareBase`

#### getContext

    public Context getContext()

Specified by:
  `getContext` in interface `ContextAware`
Overrides:
  `getContext` in class `ContextAwareBase`

#### start

    public void start()

Specified by:
  `start` in interface `LifeCycle`

#### stop

    public void stop()

Specified by:
  `stop` in interface `LifeCycle`

#### isStarted

    public boolean isStarted()

Specified by:
  `isStarted` in interface `LifeCycle`

#### getFileHeader

    public String getFileHeader()

Description copied from interface: `Layout`
Return the file header for this layout. The returned value may be null.

Specified by:
  `getFileHeader` in interface `Layout<E>`
Returns:
  The header.

#### getPresentationHeader

    public String getPresentationHeader()

Description copied from interface: `Layout`
Return the header of the logging event formatting. The returned value may be null.

Specified by:
  `getPresentationHeader` in interface `Layout<E>`
Returns:
  The header.

#### getPresentationFooter

    public String getPresentationFooter()

Description copied from interface: `Layout`
Return the footer of the logging event formatting. The returned value may be null.

Specified by:
  `getPresentationFooter` in interface `Layout<E>`
Returns:
  The footer.

#### getFileFooter

    public String getFileFooter()

Description copied from interface: `Layout`
Return the file footer for this layout. The returned value may be null.

Specified by:
  `getFileFooter` in interface `Layout<E>`
Returns:
  The footer.

#### getContentType

    public String getContentType()

Description copied from interface: `Layout`
Returns the content type as appropriate for the implementation.

Specified by:
  `getContentType` in interface `Layout<E>`
Returns:

#### setFileHeader

    public void setFileHeader(String header)

#### setFileFooter

    public void setFileFooter(String footer)

#### setPresentationHeader

    public void setPresentationHeader(String header)

#### setPresentationFooter

    public void setPresentationFooter(String footer)